using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// API分类
    /// </summary>
    public class APIGrou
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Key]
        public int FID { get; set; }
        /// <summary>
        /// 根据ERP类型划分，按接入的ERP类型先后添加，历史版本不需要追加
        /// </summary>
        [Required]
        [DisplayName("接口名称")]
        [StringLength(250)]
        public string FName { get; set; }=string.Empty;
        /// <summary>
        /// ERP版本号，不同的项目，使用相同ERP也可以通过这个字段来区分
        /// </summary>
        [Required]
        [DisplayName("版本")]
        [StringLength(250)]
        public string FVersion { get; set; }=string.Empty;
        /// <summary>
        /// ERP版本号，不同的项目，使用相同ERP也可以通过这个字段来区分
        /// </summary>
        [Required]
        [DisplayName("令牌地址")]
        [StringLength(2000)]
        public string FTokenUrl { get; set; } = string.Empty;
    }
}
